ru.bitel.bgbilling.server.util

## Class Setup

- java.lang.Object
- - ru.bitel.common.ParameterMap
  - - ru.bitel.common.Preferences
    - - ru.bitel.bgbilling.server.util.DefaultServerSetup
      - - ru.bitel.bgbilling.server.util.Setup

- Direct Known Subclasses:
    RadiusSetup

      public class Setup
      extends DefaultServerSetup

  Главный setup приложения биллинга.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.ParameterMap

      `ParameterMap.DefaultParameterMap`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Setup` | `instance`

    - ### Fields inherited from class ru.bitel.bgbilling.server.util.DefaultServerSetup

      `RETURN_FAKE, RETURN_MASTER, RETURN_NULL, RETURN_SLAVE`

    - ### Fields inherited from class ru.bitel.common.Preferences

      `bundleName, data`

    - ### Fields inherited from class ru.bitel.common.ParameterMap

      `mapPrint`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Setup(java.lang.String bundleName)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Preferences` | `getBundlePreferences()`
    `<K extends bitel.billing.server.util.Config> K` | `getConfig(int mid, java.lang.Class<K> clazz)`
    `ru.bitel.bgbilling.kernel.container.ws.common.Distribution` | `getDistribution()`
    `java.lang.String` | `getFolderPathParam(java.lang.String paramName, java.lang.String defaultValue)`
    `java.util.Date` | `getInitDate()`
    `ModuleSetup` | `getModuleSetup(java.lang.Integer moduleId)`
    `java.lang.String` | `getPathProperty(java.lang.String what, java.lang.String def)` Возвращает значение системной настройки для пути.
    `static Setup` | `getSetup()`
    `java.lang.String` | `getTempDirPath()`
    `ru.bitel.bgbilling.kernel.container.ws.server.WSClient` | `getWSClient()`
    `static void` | `setSetup(Setup setup)`

    - ### Methods inherited from class ru.bitel.bgbilling.server.util.DefaultServerSetup

      `checkAndCreatePeriodicTableName, getDBConnection, getDBConnection, getDBConnectionFromPool, getDBConnectionFromPool, getDBSlaveConnectionFromPool, getDBSlaveConnectionFromPool, getDBTrashConnectionFromPool, getDBTrashOrMasterConnectionFromPool, getDBTrashOrSlaveConnectionFromPool, getEnvironment, getMasterPoolLoad, getPoolStackTrace, getPoolStatus, getScheduledExecutorService, getSlaveBaseId, getSlaveConnectionFromPool, getTrashBaseId, getTrashConnectionFromPool, initConnectionPool, initJNDI, initLocales, initMQ, initTrashPoolsAndCreateTableOptions, isReplicationAvailable, isReplicationEnabled, isReplicationNotBehindMaster, logConfigure, returnConToPool, setReplicationAvailable, setReplicationEnabled, setReplicationNotBehindMaster`

    - ### Methods inherited from class ru.bitel.common.Preferences

      `entrySet, extract, get, getObject, getObject, getOrderedValues, loadBundle, loadData, loadData, loadDataEntry, loadFromInputStream, loadModuleSetup, parseObjects, parseObjectsNoOrder, putObject, removeObject, set, updateData`

    - ### Methods inherited from class ru.bitel.common.ParameterMap

      `addActionListener, fingerprint, get, getBigDecimal, getBoolean, getChar, getDouble, getEnum, getFloat, getInt, getIntegerList, getLocalDate, getLong, getMap, inherit, sub, subIndexed, subKeyed, subLined, throwActionEvent, toReference, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### instance

          protected static Setup instance

  - ### Constructor Detail

    - #### Setup

          public Setup(java.lang.String bundleName)

  - ### Method Detail

    - #### getBundlePreferences

          public Preferences getBundlePreferences()

    - #### getInitDate

          public java.util.Date getInitDate()

    - #### getDistribution

          public ru.bitel.bgbilling.kernel.container.ws.common.Distribution getDistribution()

    - #### getWSClient

          public ru.bitel.bgbilling.kernel.container.ws.server.WSClient getWSClient()

    - #### getConfig

          public final <K extends bitel.billing.server.util.Config> K getConfig(int mid,
                                                                                java.lang.Class<K> clazz)

    - #### getModuleSetup

          public ModuleSetup getModuleSetup(java.lang.Integer moduleId)

    - #### getFolderPathParam

          public java.lang.String getFolderPathParam(java.lang.String paramName,
                                                     java.lang.String defaultValue)

    - #### getTempDirPath

          public java.lang.String getTempDirPath()

    - #### getPathProperty

          public java.lang.String getPathProperty(java.lang.String what,
                                                  java.lang.String def)

      Возвращает значение системной настройки для пути. Если не находит - берет из сетапа, если и в сетапе нет - возвращает def.
      Parameters:
        `what` - название настройки
        `def` - значение по-умолчанию
      Returns:
        значение

    - #### getSetup

          public static Setup getSetup()

    - #### setSetup

          public static void setSetup(Setup setup)